package com.css.simulation.resource.scheduler.configuration.feign;

import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.param.project.SimulationManualProjectParam;
import api.common.pojo.vo.project.ProjectDetailsVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

@FeignClient(
        contextId = "server",
        value = "simulation-resource-server",
        path = "/simulation/resource/server",
        fallback = WebServerClient.class
)
public interface WebServerClient {

    @GetMapping(value = "/simulationProject/selectProjectDetailsByIdForScheduler")
    ResponseBodyVO<ProjectDetailsVO> selectProjectDetailsByIdForScheduler(SimulationManualProjectParam simulationManualProjectParam);
}
